Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 07c8630371039006ddb41d6fbf870df9db8fa46f)
+++ sansview/perspectives/fitting/fitpage.py	(revision 2c6b224b16255c375a8a61955d1bf710c3c41835)
@@ -2875,5 +2875,5 @@
         # Figuring out key combo: Cmd for copy, Alt for paste
         if event.AltDown() and event.ShiftDown():
-            self._show_ftol_dialog()
+            self._manager.show_ftol_dialog()
             flag = True
         elif event.AltDown() or event.ShiftDown():
@@ -2892,12 +2892,4 @@
                           StatusEvent(status= msg, info=infor))
 
-
-    def _show_ftol_dialog(self):
-        """
-        Dialog to select ftol for Scipy
-        """
-        from ftol_dialog import ChangeFtol
-        panel = ChangeFtol(self)
-        panel.ShowModal()
         
     def _onModel2D(self, event):
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 59afa7179a2a10e432cec138aba9fc3cac2f81a9)
+++ sansview/perspectives/fitting/fitting.py	(revision 2c6b224b16255c375a8a61955d1bf710c3c41835)
@@ -46,5 +46,5 @@
 DEFAULT_NPTS = 50
 MAX_NBR_DATA = 4
-
+SANS_F_TOL = 5e-05
 
 (PageInfoEvent, EVT_PAGE_INFO)   = wx.lib.newevent.NewEvent()
@@ -84,5 +84,5 @@
         self._fit_engine = 'scipy'
         ## Relative error desired in the sum of squares (float); scipy only
-        self.ftol=1.49012e-08
+        self.ftol = SANS_F_TOL
         #List of selected data
         self.selected_data_list = []
@@ -133,13 +133,24 @@
         
         scipy_help= "Scipy Engine: Perform Simple fit. More in Help window...."
-        self.menu1.AppendCheckItem(self.scipy_id, "Simple FitEngine  [LeastSq]",scipy_help) 
+        self.menu1.AppendCheckItem(self.scipy_id, "Simple FitEngine [LeastSq]",
+                                   scipy_help) 
         wx.EVT_MENU(owner, self.scipy_id,  self._onset_engine_scipy)
         
         park_help = "Park Engine: Perform Complex fit. More in Help window...."
-        self.menu1.AppendCheckItem(self.park_id, "Complex FitEngine [ParkMC]",park_help) 
+        self.menu1.AppendCheckItem(self.park_id, "Complex FitEngine [ParkMC]",
+                                   park_help) 
         wx.EVT_MENU(owner, self.park_id,  self._onset_engine_park)
         
         self.menu1.FindItemById(self.scipy_id).Check(True)
         self.menu1.FindItemById(self.park_id).Check(False)
+        self.menu1.AppendSeparator()
+        self.id_tol = wx.NewId()
+        ftol_help = "Change the current FTolerance (=%s) " % str(self.ftol)
+        ftol_help += "of Simple FitEngine..." 
+        self.menu1.Append(self.id_tol, "Change FTolerance [LeastSq Only]", 
+                                   ftol_help) 
+        wx.EVT_MENU(owner, self.id_tol,  self.show_ftol_dialog)
+        
+        
         #create  menubar items
         return [(self.menu1, self.sub_menu)]
@@ -462,8 +473,22 @@
         except:
             # default
-            f_tol = 1.49012e-08
+            f_tol = SANS_F_TOL
             
         self.ftol = f_tol
-              
+        # update ftol menu help strings
+        ftol_help = "Change the current FTolerance (=%s) " % str(self.ftol)
+        ftol_help += "of Simple FitEngine..." 
+        self.menu1.SetHelpString(self.id_tol, ftol_help)
+        
+    def show_ftol_dialog(self, event=None):
+        """
+        Dialog to select ftol for Scipy
+        """
+        #if event != None:
+        #    event.Skip()
+        from ftol_dialog import ChangeFtol
+        panel = ChangeFtol(self.parent, self)
+        panel.ShowModal()
+                  
     def stop_fit(self, uid):
         """
Index: sansview/perspectives/fitting/ftol_dialog.py
===================================================================
--- sansview/perspectives/fitting/ftol_dialog.py	(revision e7f70e868a65424c774d2deec576485fca288e4c)
+++ sansview/perspectives/fitting/ftol_dialog.py	(revision 2c6b224b16255c375a8a61955d1bf710c3c41835)
@@ -14,12 +14,13 @@
 # default ftol
 F_TOL = 1.49012e-08 
+SANS_F_TOL = 5e-05
 
 if sys.platform.count("win32") > 0:
     PANEL_WIDTH = 270 
-    PANEL_HEIGHT = 250
+    PANEL_HEIGHT = 265
     FONT_VARIANT = 0
 else:
     PANEL_WIDTH = 285
-    PANEL_HEIGHT = 255
+    PANEL_HEIGHT = 265
     FONT_VARIANT = 1
     
@@ -33,11 +34,11 @@
     Dialog to select ftol
     """
-    def __init__(self, parent, id=-1, title="FTolerance"):
+    def __init__(self, parent, base, id=-1, title="FTolerance"):
         wx.Dialog.__init__(self, parent, id, title, 
                            size=(PANEL_WIDTH, PANEL_HEIGHT))
         # parent
-        self.parent = parent
+        self.parent = base
         # default ftol
-        self.ftol = F_TOL
+        self.ftol = SANS_F_TOL
                 # font size 
         self.SetWindowVariant(variant=FONT_VARIANT)
@@ -45,23 +46,28 @@
         panel = wx.Panel(self, -1)
         vbox = wx.BoxSizer(wx.VERTICAL)
-        wx.StaticBox(panel, -1, 'ftol selection (Scipy)', (5, 5),
-                      (PANEL_WIDTH*0.9, PANEL_HEIGHT*0.65))
-        default_bt = wx.RadioButton(panel, -1, 'Default', (15, 30), 
+        wx.StaticBox(panel, -1, 'FTol selection (Leastsq)', (5, 6),
+                      (PANEL_WIDTH*0.9, PANEL_HEIGHT*0.7))
+        default_bt = wx.RadioButton(panel, -1, 'SansView Default (5e-05)', 
+                                    (15, 30), 
                                     style=wx.RB_GROUP)
+        default_bt.SetValue(True)
         default_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
-        default_bt.SetValue(True)
-        high_bt = wx.RadioButton(panel, -1, '1e-06', (15, 55))
+        sci_default_bt = wx.RadioButton(panel, -1, 
+                                    'Scipy Default (1.49012e-08)', (15, 55))
+        sci_default_bt.SetValue(False)
+        sci_default_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
+        high_bt = wx.RadioButton(panel, -1, '1e-06', (15, 80))
         high_bt.SetValue(False)
         high_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
-        mid_bt = wx.RadioButton(panel, -1, '1e-05', (15, 80))
+        mid_bt = wx.RadioButton(panel, -1, '1e-05', (15, 105))
         mid_bt.SetValue(False)
         mid_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
-        low_bt = wx.RadioButton(panel, -1, '1e-04', (15, 105))
+        low_bt = wx.RadioButton(panel, -1, '1e-04', (15, 130))
         low_bt.SetValue(False)
         low_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
-        self.custom_bt = wx.RadioButton(panel, -1, 'Custom', (15, 130))
+        self.custom_bt = wx.RadioButton(panel, -1, 'Custom', (15, 155))
         self.custom_bt.SetValue(False)
         self.custom_bt.Bind(wx.EVT_RADIOBUTTON, self.OnFtolSelection)
-        self.custombox = wx.TextCtrl(panel, -1, '', (95, 130))
+        self.custombox = wx.TextCtrl(panel, -1, '', (95, 155))
         self.custombox.Disable()
         hbox = wx.BoxSizer(wx.HORIZONTAL)
@@ -73,5 +79,5 @@
         # set sizer
         self.SetSizer(vbox)
- 
+
     def OnFtolSelection(self, event=None):
         """
@@ -83,5 +89,8 @@
         selection = button.GetLabel()
         # get float value 
-        if selection == 'Default':
+        if selection.count('SansView') > 0:
+            ftol = SANS_F_TOL   
+            self.custombox.Disable() 
+        elif selection.count('Scipy') > 0:
             ftol = F_TOL   
             self.custombox.Disable()     
@@ -111,10 +120,10 @@
         if flag:
             # set ftol in fitting
-            self.parent.parent._manager.set_ftol(self.ftol) 
-            msg = "The ftol (Scipy) is set to %s." % self.ftol
+            self.parent.set_ftol(self.ftol) 
+            msg = "The ftol (LeastSq) is set to %s." % self.ftol
         else:
            msg = "Error in the selection... No changes in ftol."
         # post event for info
-        wx.PostEvent( self.parent.parent._manager.parent, 
+        wx.PostEvent( self.parent.parent, 
                       StatusEvent(status= msg, info='warning')) 
     
